Skip to main content

Type Alias: GatewayInferenceResponseRefusalDoneEvent

type GatewayInferenceResponseRefusalDoneEvent = {
[key: string]: unknown;
type: "response.refusal.done";
item_id: string;
output_index: number;
content_index: number;
refusal: string;
};

Defined in: src/models/ai-gateway-inference.ts:5006

Portkey ResponseRefusalDoneEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseRefusalDoneEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.refusal.done";

Defined in: src/models/ai-gateway-inference.ts:5007


item_id​

item_id: string;

Defined in: src/models/ai-gateway-inference.ts:5008


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:5009


content_index​

content_index: number;

Defined in: src/models/ai-gateway-inference.ts:5010


refusal​

refusal: string;

Defined in: src/models/ai-gateway-inference.ts:5011